#include <SoftwareSerial.h>

#define xAxis 5
#define yAxis 6


int xIn;
int yIn;
int xOut;
int yOut;

SoftwareSerial mySerial(xAxis,yAxis);

void setup() {
  mySerial.begin(115200);
}

void loop() {
  // read joystick position
  xIn = analogRead(xAxis);
  yIn = analogRead(yAxis);

  // map joystick values to desired servo angle
  xOut = map(xIn, 0, 1023, 70, 110);  // 20 deg swing each way in x-direction
  yOut = map(yIn, 0, 1023, 71, 109);  // 20 deg swing each way in y-direction

  mySerial.println(xIn);  
  delay(2000);              // 2 sec delay

  mySerial.println(yIn);  
  delay(2000);     
}
